### Method

# ECal Component get_uid

since: 3.34

#### Declaration [src]

    const gchar*
    e_cal_component_get_uid (
      ECalComponent* comp
    )

#### Description [src]

Queries the unique identifier of a calendar component object.

Available since: 3.34

#### Return value

Type: `const gchar*`

The UID string.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.